from selenium import webdriver
from selenium.webdriver.firefox.options import Options

options = Options()
options.add_argument("--headless")

driver = webdriver.Firefox(options=options)
driver.get("https://{{  hostvars[inventory_hostname]["ansible_eth0"]["ipv4"]["address"] }}")
button = driver.find_element_by_xpath("/html/body/section/div/form/button")
button.click()

username_field = driver.find_element_by_xpath('//*[@id="username"]')
username_field.send_keys("testuser")
password_field = driver.find_element_by_xpath('//*[@id="password"]')
password_field.send_keys("test-password")

button = driver.find_element_by_xpath('//*[@id="kc-login"]')
button.click()

print(driver.title)
driver.close()
